=== debian/changelog ===
harec (0.24.2-5) unstable; urgency=medium

  * Fix outstanding FTBFS errors on x32 and hurd-amd64 buildd by excluding
    tests from being run on these non-official architectures. Previous
    upload didn't really address this issue.

 -- Miguel Landaeta <nomadium@debian.org>  Tue, 08 Apr 2025 22:59:42 +0100

harec (0.24.2-4) unstable; urgency=medium

  * Address FTBFS errors on x32 and hurd-amd64 buildd by excluding tests
    from being run on these non-official architectures. harec is buildable
    and runnable on those archs but tests will not succeed as they are not
    currently supported by upstream.

 -- Miguel Landaeta <nomadium@debian.org>  Fri, 07 Mar 2025 20:13:04 +0000

harec (0.24.2-3) unstable; urgency=medium

  [ Antonio Terceiro ]
  * Skip tests during build on unsupported target architectures.

  [ Miguel Landaeta ]
  * Fix typo in override_dh_auto_configure target.

 -- Miguel Landaeta <nomadium@debian.org>  Sun, 02 Mar 2025 08:10:08 +0000

harec (0.24.2-2) unstable; urgency=medium

  [ Tobias Heider & Antonio Terceiro ]
  * Fix build config for arch != x86_64.

 -- Miguel Landaeta <nomadium@debian.org>  Tue, 25 Feb 2025 21:49:19 +0000

harec (0.24.2-1) unstable; urgency=medium

  * Initial release. (Closes: #1085046)

 -- Miguel Landaeta <nomadium@debian.org>  Sun, 13 Oct 2024 16:52:29 +0100
