=== debian/control ===
Source: harec
Section: devel
Priority: optional
Maintainer: Miguel Landaeta <nomadium@debian.org>
Uploaders: Guilherme Puida Moreira <guilherme@puida.xyz>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 qbe,
 scdoc <!nodoc>,
Standards-Version: 4.7.0
Homepage: https://harelang.org/
Vcs-Browser: https://salsa.debian.org/debian/harec
Vcs-Git: https://salsa.debian.org/debian/harec.git

Package: harec
Architecture: any
Depends:
 qbe,
 ${shlibs:Depends},
 ${misc:Depends},
Description: Hare compiler for POSIX-compatible systems
 Hare is a systems programming language designed to be simple, stable and
 robust. Hare uses a static type system, manual memory management, and a
 minimal runtime. It is well suited to writing operating systems, system
 tools, compilers, networking software, and other low-level, high performance
 tasks.
 .
 This package installs the Hare compiler.
