## harec 0.25.2

=== Makefile ===
--- 
+++ 
@@ -59,7 +59,7 @@
 	@$(CC) $(LDFLAGS) -o $@ $(harec_objects) $(LIBS)
 
 .SUFFIXES:
-.SUFFIXES: .ha .ssa .td .c .o .s .scd .1 .5
+.SUFFIXES: .ssa .td .c .o .s
 
 src/check.o: $(headers)
 src/emit.o: $(headers)
@@ -92,14 +92,11 @@
 
 .ssa.s:
 	@printf 'QBE\t%s\n' '$@'
-	@$(QBE) $(QBEFLAGS) -o $@ $<
+	@$(QBE) $(QBEFLAGS) -o $@.tmp $<
+	@mv $@.tmp $@
 
 .ssa.td:
 	@cmp -s $@ $@.tmp 2>/dev/null || cp $@.tmp $@
-
-.ha.ssa:
-	@printf 'HAREC\t%s\n' '$@'
-	@$(TDENV) $(BINOUT)/harec $(HARECFLAGS) -o $@ $<
 
 clean:
 	@rm -rf -- $(HARECACHE) $(BINOUT) $(harec_objects) $(tests)
@@ -108,7 +105,7 @@
 	@$(TDENV) ./tests/run
 
 install: $(BINOUT)/harec
-	install -Dm755 $(BINOUT)/harec $(DESTDIR)$(BINDIR)/harec
+	install -Dm755 -- $(BINOUT)/harec $(DESTDIR)$(BINDIR)/harec
 
 uninstall:
 	rm -- '$(DESTDIR)$(BINDIR)/harec'
