=== debian/changelog ===
harec (0.25.2-1) unstable; urgency=medium

  * d/control:
    - Move package to the Debian Hare Team.
    - Apply wrap-and-sort -ast.
    - Bump Standards-Version to 4.7.2, no changes needed.
    - Specify Breaks relationship for hare package.
    - Use my @debian.org mail address.

 -- Guilherme Puida Moreira <puida@debian.org>  Thu, 11 Sep 2025 21:03:39 -0300
