=== debian/control ===
Source: harec
Section: devel
Priority: optional
Maintainer: Debian Hare Team <team+pkg-hare@tracker.debian.org>
Uploaders:
 Miguel Landaeta <nomadium@debian.org>,
 Guilherme Puida Moreira <puida@debian.org>,
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 qbe,
 scdoc <!nodoc>,
Standards-Version: 4.7.2
Homepage: https://harelang.org/
Vcs-Browser: https://salsa.debian.org/hare-team/pkg/harec
Vcs-Git: https://salsa.debian.org/hare-team/pkg/harec.git

Package: harec
Architecture: any
Depends:
 qbe,
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 hare (<< ${source:Upstream-Version}),
Description: Hare compiler for POSIX-compatible systems
 Hare is a systems programming language designed to be simple, stable and
 robust. Hare uses a static type system, manual memory management, and a
 minimal runtime. It is well suited to writing operating systems, system
 tools, compilers, networking software, and other low-level, high performance
 tasks.
 .
 This package installs the Hare compiler.
