=== debian/watch ===
version=4
opts="uversionmangle=s/-rc/~rc/" \
	https://git.sr.ht/~sircmpwn/@PACKAGE@/refs \
	.*/@ANY_VERSION@@ARCHIVE_EXT@
