## harec 0.26.0

=== debian/changelog ===
harec (0.26.0-1) unstable; urgency=medium

  * New upstream release 0.26.0.
  * d/u/metadata: Create file and add Repository/Repository-Browse.
  * d/gbp.conf: Add upstream-vcs-tag.
  * d/control: Bump Standards-Version to 4.7.3. Consequently:
    - d/control: Drop Rules-Require-Root.
  * d/control: Drop optional Priority field.
  * d/watch: Update to version 5.

 -- Guilherme Puida Moreira <puida@debian.org>  Fri, 13 Feb 2026 22:55:08 -0300
