=== debian/control ===
--- 
+++ 
@@ -1,16 +1,14 @@
 Source: harec
 Section: devel
-Priority: optional
 Maintainer: Debian Hare Team <team+pkg-hare@tracker.debian.org>
 Uploaders:
  Miguel Landaeta <nomadium@debian.org>,
  Guilherme Puida Moreira <puida@debian.org>,
-Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
  qbe,
  scdoc <!nodoc>,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://harelang.org/
 Vcs-Browser: https://salsa.debian.org/hare-team/pkg/harec
 Vcs-Git: https://salsa.debian.org/hare-team/pkg/harec.git
